#!/usr/bin/ruby

require 'rubygems'
require 'benchmark'
require 'lib/xapian_fu'
include XapianFu
require 'active_record'

ActiveRecord::Base.establish_connection(
   :adapter  => "mysql",
   :host     => "localhost",
   :username => "john",
   :password => "john",
   :database => "john_somedb_dev" )

class WpPost < ActiveRecord::Base
  set_primary_key :ID
end

db = XapianDb.new(:dir => 'ar_spider.db')

results = nil
bm = Benchmark.measure do
  results = db.search(ARGV.join(' '))
end

posts = WpPost.find(results.collect { |r| r.id })

puts "Weight\tTitle"
posts.each_with_index do |p,i|
  puts "%.3f\t#{p.post_title}" % results[i].weight
end

puts "Search took %.5f seconds" % bm.total
