#!/usr/bin/ruby

require 'rubygems'
require 'benchmark'
require 'lib/xapian_fu'
include XapianFu
require 'active_record'

ActiveRecord::Base.establish_connection(
   :adapter  => "mysql",
   :host     => "localhost",
   :username => "john",
   :password => "john",
   :database => "john_somedb_dev" )

class WpPost < ActiveRecord::Base
  set_primary_key :ID
end

db = XapianDb.new(:dir => 'ar_spider.db', :overwrite => true)

count = 0
indexing_time = 0.0
WpPost.find_in_batches do |posts|
  db.transaction do
    puts "Indexing wp_posts #{count} to #{count += posts.size}"
    posts.each do |post|
      bm = Benchmark.measure do
        db << XapianDoc.new(post.attributes.merge({ :id => post.id }))
      end
      indexing_time += bm.total
    end
  end
  indexing_time += Benchmark.measure { db.flush }.total
end
puts "%i documents took %.4f seconds. %.2f per second" % [count, indexing_time, count / indexing_time]
